// Code generated by protoc-gen-go.
// source: tasks.proto
// DO NOT EDIT!

/*
Package tasks is a generated protocol buffer package.

It is generated from these files:
	tasks.proto

It has these top-level messages:
	Data
	AddRequest
	AddResponse
	ListRequest
	Task
	ListResponse
*/
package tasks

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis/google/api"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Data struct {
	Text string `protobuf:"bytes,1,opt,name=text" json:"text,omitempty"`
}

func (m *Data) Reset()                    { *m = Data{} }
func (m *Data) String() string            { return proto.CompactTextString(m) }
func (*Data) ProtoMessage()               {}
func (*Data) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type AddRequest struct {
	Task *Data `protobuf:"bytes,1,opt,name=task" json:"task,omitempty"`
}

func (m *AddRequest) Reset()                    { *m = AddRequest{} }
func (m *AddRequest) String() string            { return proto.CompactTextString(m) }
func (*AddRequest) ProtoMessage()               {}
func (*AddRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *AddRequest) GetTask() *Data {
	if m != nil {
		return m.Task
	}
	return nil
}

type AddResponse struct {
	Id uint64 `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
}

func (m *AddResponse) Reset()                    { *m = AddResponse{} }
func (m *AddResponse) String() string            { return proto.CompactTextString(m) }
func (*AddResponse) ProtoMessage()               {}
func (*AddResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

type ListRequest struct {
}

func (m *ListRequest) Reset()                    { *m = ListRequest{} }
func (m *ListRequest) String() string            { return proto.CompactTextString(m) }
func (*ListRequest) ProtoMessage()               {}
func (*ListRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

type Task struct {
	Id   uint64 `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	Data *Data  `protobuf:"bytes,2,opt,name=data" json:"data,omitempty"`
}

func (m *Task) Reset()                    { *m = Task{} }
func (m *Task) String() string            { return proto.CompactTextString(m) }
func (*Task) ProtoMessage()               {}
func (*Task) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *Task) GetData() *Data {
	if m != nil {
		return m.Data
	}
	return nil
}

type ListResponse struct {
	Tasks []*Task `protobuf:"bytes,1,rep,name=tasks" json:"tasks,omitempty"`
}

func (m *ListResponse) Reset()                    { *m = ListResponse{} }
func (m *ListResponse) String() string            { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()               {}
func (*ListResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *ListResponse) GetTasks() []*Task {
	if m != nil {
		return m.Tasks
	}
	return nil
}

func init() {
	proto.RegisterType((*Data)(nil), "tasks.Data")
	proto.RegisterType((*AddRequest)(nil), "tasks.AddRequest")
	proto.RegisterType((*AddResponse)(nil), "tasks.AddResponse")
	proto.RegisterType((*ListRequest)(nil), "tasks.ListRequest")
	proto.RegisterType((*Task)(nil), "tasks.Task")
	proto.RegisterType((*ListResponse)(nil), "tasks.ListResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for Service service

type ServiceClient interface {
	Add(ctx context.Context, in *AddRequest, opts ...grpc.CallOption) (*AddResponse, error)
	List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
}

type serviceClient struct {
	cc *grpc.ClientConn
}

func NewServiceClient(cc *grpc.ClientConn) ServiceClient {
	return &serviceClient{cc}
}

func (c *serviceClient) Add(ctx context.Context, in *AddRequest, opts ...grpc.CallOption) (*AddResponse, error) {
	out := new(AddResponse)
	err := grpc.Invoke(ctx, "/tasks.Service/Add", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceClient) List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := grpc.Invoke(ctx, "/tasks.Service/List", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Service service

type ServiceServer interface {
	Add(context.Context, *AddRequest) (*AddResponse, error)
	List(context.Context, *ListRequest) (*ListResponse, error)
}

func RegisterServiceServer(s *grpc.Server, srv ServiceServer) {
	s.RegisterService(&_Service_serviceDesc, srv)
}

func _Service_Add_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceServer).Add(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tasks.Service/Add",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceServer).Add(ctx, req.(*AddRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Service_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tasks.Service/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceServer).List(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Service_serviceDesc = grpc.ServiceDesc{
	ServiceName: "tasks.Service",
	HandlerType: (*ServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Add",
			Handler:    _Service_Add_Handler,
		},
		{
			MethodName: "List",
			Handler:    _Service_List_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: fileDescriptor0,
}

func init() { proto.RegisterFile("tasks.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 278 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x6c, 0x90, 0x31, 0x4e, 0xf4, 0x30,
	0x10, 0x85, 0x95, 0xac, 0xff, 0xfd, 0x61, 0x02, 0x91, 0x18, 0x28, 0xa2, 0x08, 0xc4, 0xe2, 0x8a,
	0x86, 0x8d, 0x58, 0x0a, 0x24, 0x1a, 0xb4, 0x88, 0x92, 0x2a, 0x70, 0x01, 0x83, 0xad, 0x95, 0xb5,
	0x28, 0x0e, 0xeb, 0x01, 0x51, 0x73, 0x00, 0x1a, 0x8e, 0xc6, 0x15, 0x38, 0x08, 0xf2, 0xd8, 0x88,
	0x80, 0xe8, 0xec, 0x79, 0x6f, 0xbe, 0xe7, 0x67, 0x28, 0x48, 0xf9, 0xa5, 0x9f, 0xf6, 0x2b, 0x47,
	0x0e, 0xff, 0xf1, 0xa5, 0xde, 0x5d, 0x38, 0xb7, 0xb8, 0x37, 0x8d, 0xea, 0x6d, 0xa3, 0xba, 0xce,
	0x91, 0x22, 0xeb, 0xba, 0x64, 0x92, 0x35, 0x88, 0x4b, 0x45, 0x0a, 0x11, 0x04, 0x99, 0x67, 0xaa,
	0xb2, 0x49, 0x76, 0xb8, 0xde, 0xf2, 0x59, 0x1e, 0x01, 0xcc, 0xb5, 0x6e, 0xcd, 0xc3, 0xa3, 0xf1,
	0x84, 0xfb, 0x20, 0x02, 0x90, 0x1d, 0xc5, 0xac, 0x98, 0xc6, 0xa8, 0xb0, 0xdc, 0xb2, 0x20, 0xf7,
	0xa0, 0x60, 0xbb, 0xef, 0x5d, 0xe7, 0x0d, 0x96, 0x90, 0x5b, 0xcd, 0x6e, 0xd1, 0xe6, 0x56, 0xcb,
	0x4d, 0x28, 0xae, 0xac, 0xa7, 0x84, 0x93, 0xa7, 0x20, 0x6e, 0x94, 0x5f, 0xfe, 0xb6, 0x85, 0x18,
	0xad, 0x48, 0x55, 0xf9, 0x1f, 0x31, 0x41, 0x90, 0xc7, 0xb0, 0x11, 0x39, 0x29, 0xe7, 0x00, 0x62,
	0xd1, 0x2a, 0x9b, 0x8c, 0x06, 0x1b, 0x01, 0xde, 0x46, 0x65, 0xf6, 0x9a, 0xc1, 0xff, 0x6b, 0xb3,
	0x7a, 0xb2, 0x77, 0x06, 0x2f, 0x60, 0x34, 0xd7, 0x1a, 0xb7, 0x92, 0xed, 0xbb, 0x60, 0x8d, 0xc3,
	0x51, 0x84, 0xcb, 0x9d, 0x97, 0xf7, 0x8f, 0xb7, 0xbc, 0x94, 0xe3, 0x86, 0xb5, 0x33, 0x6e, 0x8a,
	0xe7, 0x20, 0xc2, 0x13, 0xf0, 0x6b, 0x63, 0xd0, 0xab, 0xde, 0xfe, 0x31, 0x4b, 0x98, 0x92, 0x31,
	0x6b, 0x98, 0x30, 0xb7, 0x63, 0xfe, 0xfc, 0x93, 0xcf, 0x00, 0x00, 0x00, 0xff, 0xff, 0x60, 0xd9,
	0x5d, 0xf2, 0xb0, 0x01, 0x00, 0x00,
}
